package book

import "github.com/gin-gonic/gin"

func registerBookFavoriteRecordRoutes(router gin.IRoutes, routerWithoutRecord gin.IRoutes) {
	router.POST("createBookFavoriteRecord", bookApiGroup.BookFavoriteRecordApi.CreateBookFavoriteRecord)
	router.DELETE("deleteBookFavoriteRecord", bookApiGroup.BookFavoriteRecordApi.DeleteBookFavoriteRecord)
	router.DELETE("deleteBookFavoriteRecordByIds", bookApiGroup.BookFavoriteRecordApi.DeleteBookFavoriteRecordByIds)
	router.PUT("updateBookFavoriteRecord", bookApiGroup.BookFavoriteRecordApi.UpdateBookFavoriteRecord)
	routerWithoutRecord.GET("findBookFavoriteRecord", bookApiGroup.BookFavoriteRecordApi.FindBookFavoriteRecord)
	routerWithoutRecord.GET("getBookFavoriteRecordList", bookApiGroup.BookFavoriteRecordApi.GetBookFavoriteRecordList)
}
